## grendel.mime.extractor
Class MimeExtractorOperatorFactory

    java.lang.Object
      |
      +--grendel.mime.extractor.MimeExtractorOperatorFactory

public class MimeExtractorOperatorFactory
extends java.lang.Object

Creates an IMimeOperator to extract the raw data of a MIME sub-part. The ID is of the form used by IMimeObject.partID() -- it is a string listing the index of the part in the MIME tree, like "1.2.5".

Constructor Summary
`MimeExtractorOperatorFactory()`

Method Summary
`static IMimeOperator` | `Make(IMimeObject root_object, java.lang.String target_id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeExtractorOperatorFactory

    public MimeExtractorOperatorFactory()

Method Detail

### Make

    public static IMimeOperator Make(IMimeObject root_object,
                                     java.lang.String target_id)